blob: 48e2a81d9991e7189da41d3a33750b5becf11186 [file] [log] [blame]
garciadeblas16304ba2016-05-11 14:47:39 +02001#!/bin/bash
2
3##
4# Copyright 2015 Telefónica Investigación y Desarrollo, S.A.U.
5# This file is part of openmano
6# All Rights Reserved.
7#
8# Licensed under the Apache License, Version 2.0 (the "License"); you may
9# not use this file except in compliance with the License. You may obtain
10# a copy of the License at
11#
12# http://www.apache.org/licenses/LICENSE-2.0
13#
14# Unless required by applicable law or agreed to in writing, software
15# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
16# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
17# License for the specific language governing permissions and limitations
18# under the License.
19#
20# For those usages not covered by the Apache License, Version 2.0 please
21# contact with: nfvlabs@tid.es
22##
23
garciadeblas89b3d842016-09-19 15:18:33 +020024#ONLY TESTED in Ubuntu 16.04
garciadeblas16304ba2016-05-11 14:47:39 +020025#Get needed packages, source code and configure to run openmano
26#Ask for database user and password if not provided
27# $1: database user
28# $2: database password
29
30function usage(){
tiernoc50e5da2016-07-06 17:49:45 +020031 echo -e "usage: sudo $0 [OPTIONS]"
tierno45a52852016-08-26 14:39:42 +020032 echo -e "Install last stable source code in ./openmano and the needed packages"
33 echo -e "On a Ubuntu 16.04 it configures openmano as a service"
tiernoc50e5da2016-07-06 17:49:45 +020034 echo -e " OPTIONS"
tierno45a52852016-08-26 14:39:42 +020035 echo -e " -u USER: database admin user. 'root' by default. Prompts if needed"
36 echo -e " -p PASS: database admin password to be used or installed. Prompts if needed"
garciadeblas89b3d842016-09-19 15:18:33 +020037 echo -e " -q --quiet: install in unattended mode"
tierno45a52852016-08-26 14:39:42 +020038 echo -e " -h --help: show this help"
39 echo -e " --develop: install last version for developers, and do not configure as a service"
garciadeblas89b3d842016-09-19 15:18:33 +020040 echo -e " --forcedb: reinstall mano_db DB, deleting previous database and creating a new one"
41 echo -e " --noclone: assumes that openmano was cloned previously and that this script is run from the local repo"
garciadeblas16304ba2016-05-11 14:47:39 +020042}
43
44function install_packages(){
45 [ -x /usr/bin/apt-get ] && apt-get install -y $*
tiernoc50e5da2016-07-06 17:49:45 +020046 [ -x /usr/bin/yum ] && yum install -y $*
garciadeblas16304ba2016-05-11 14:47:39 +020047
48 #check properly installed
49 for PACKAGE in $*
50 do
51 PACKAGE_INSTALLED="no"
52 [ -x /usr/bin/apt-get ] && dpkg -l $PACKAGE &>> /dev/null && PACKAGE_INSTALLED="yes"
53 [ -x /usr/bin/yum ] && yum list installed $PACKAGE &>> /dev/null && PACKAGE_INSTALLED="yes"
54 if [ "$PACKAGE_INSTALLED" = "no" ]
55 then
tiernoc50e5da2016-07-06 17:49:45 +020056 echo "failed to install package '$PACKAGE'. Revise network connectivity and try again" >&2
garciadeblas89b3d842016-09-19 15:18:33 +020057 exit 1
garciadeblas16304ba2016-05-11 14:47:39 +020058 fi
59 done
60}
61
garciadeblas89b3d842016-09-19 15:18:33 +020062function db_exists() {
63 RESULT=`mysqlshow --defaults-extra-file="$2" | grep -v Wildcard | grep -o $1`
64 if [ "$RESULT" == "$1" ]; then
65 echo " DB $1 exists"
66 return 0
67 fi
68 echo " DB $1 does not exist"
69 return 1
70}
71
tierno45a52852016-08-26 14:39:42 +020072GIT_URL=https://osm.etsi.org/gerrit/osm/RO.git
tiernoc50e5da2016-07-06 17:49:45 +020073DBUSER="root"
74DBPASSWD=""
75DBPASSWD_PARAM=""
76QUIET_MODE=""
tierno45a52852016-08-26 14:39:42 +020077DEVELOP=""
garciadeblas89b3d842016-09-19 15:18:33 +020078FORCEDB=""
79NOCLONE=""
tiernoc50e5da2016-07-06 17:49:45 +020080while getopts ":u:p:hiq-:" o; do
81 case "${o}" in
82 u)
83 export DBUSER="$OPTARG"
84 ;;
85 p)
86 export DBPASSWD="$OPTARG"
87 export DBPASSWD_PARAM="-p$OPTARG"
88 ;;
89 q)
90 export QUIET_MODE=yes
91 export DEBIAN_FRONTEND=noninteractive
92 ;;
93 h)
94 usage && exit 0
95 ;;
96 -)
97 [ "${OPTARG}" == "help" ] && usage && exit 0
tierno45a52852016-08-26 14:39:42 +020098 [ "${OPTARG}" == "develop" ] && DEVELOP="y" && continue
garciadeblas89b3d842016-09-19 15:18:33 +020099 [ "${OPTARG}" == "forcedb" ] && FORCEDB="y" && continue
100 [ "${OPTARG}" == "noclone" ] && NOCLONE="y" && continue
tierno45a52852016-08-26 14:39:42 +0200101 [ "${OPTARG}" == "quiet" ] && export QUIET_MODE=yes && export DEBIAN_FRONTEND=noninteractive && continue
tiernoc50e5da2016-07-06 17:49:45 +0200102 echo -e "Invalid option: '--$OPTARG'\nTry $0 --help for more information" >&2
103 exit 1
104 ;;
105 \?)
106 echo -e "Invalid option: '-$OPTARG'\nTry $0 --help for more information" >&2
107 exit 1
108 ;;
109 :)
110 echo -e "Option '-$OPTARG' requires an argument\nTry $0 --help for more information" >&2
111 exit 1
112 ;;
113 *)
114 usage >&2
garciadeblas89b3d842016-09-19 15:18:33 +0200115 exit 1
tiernoc50e5da2016-07-06 17:49:45 +0200116 ;;
117 esac
118done
garciadeblas16304ba2016-05-11 14:47:39 +0200119
tiernoc50e5da2016-07-06 17:49:45 +0200120#check root privileges and non a root user behind
garciadeblas89b3d842016-09-19 15:18:33 +0200121[ "$USER" != "root" ] && echo "Needed root privileges" >&2 && exit 1
tiernoc50e5da2016-07-06 17:49:45 +0200122if [[ -z "$SUDO_USER" ]] || [[ "$SUDO_USER" = "root" ]]
123then
124 [[ -z $QUIET_MODE ]] && read -e -p "Install in the root user (y/N)?" KK
125 [[ -z $QUIET_MODE ]] && [[ "$KK" != "y" ]] && [[ "$KK" != "yes" ]] && echo "Cancelled" && exit 1
126 export SUDO_USER=root
127fi
garciadeblas16304ba2016-05-11 14:47:39 +0200128
129#Discover Linux distribution
130#try redhat type
131[ -f /etc/redhat-release ] && _DISTRO=$(cat /etc/redhat-release 2>/dev/null | cut -d" " -f1)
132#if not assuming ubuntu type
133[ -f /etc/redhat-release ] || _DISTRO=$(lsb_release -is 2>/dev/null)
134if [ "$_DISTRO" == "Ubuntu" ]
135then
tierno45a52852016-08-26 14:39:42 +0200136 _RELEASE=$(lsb_release -rs)
137 if [[ ${_RELEASE%%.*} != 14 ]] && [[ ${_RELEASE%%.*} != 16 ]]
garciadeblas16304ba2016-05-11 14:47:39 +0200138 then
tierno45a52852016-08-26 14:39:42 +0200139 [[ -z $QUIET_MODE ]] && read -e -p "WARNING! Not tested Ubuntu version. Continue assuming a trusty (14.XX)'? (y/N)" KK
tiernoc50e5da2016-07-06 17:49:45 +0200140 [[ -z $QUIET_MODE ]] && [[ "$KK" != "y" ]] && [[ "$KK" != "yes" ]] && echo "Cancelled" && exit 1
tierno45a52852016-08-26 14:39:42 +0200141 _RELEASE = 14
garciadeblas16304ba2016-05-11 14:47:39 +0200142 fi
143elif [ "$_DISTRO" == "CentOS" ]
144then
145 _RELEASE="7"
146 if ! cat /etc/redhat-release | grep -q "7."
147 then
tiernoc50e5da2016-07-06 17:49:45 +0200148 [[ -z $QUIET_MODE ]] && read -e -p "WARNING! Not tested CentOS version. Continue assuming a '_RELEASE' type? (y/N)" KK
149 [[ -z $QUIET_MODE ]] && [[ "$KK" != "y" ]] && [[ "$KK" != "yes" ]] && echo "Cancelled" && exit 1
garciadeblas16304ba2016-05-11 14:47:39 +0200150 fi
151elif [ "$_DISTRO" == "Red" ]
152then
153 _RELEASE="7"
154 if ! cat /etc/redhat-release | grep -q "7."
155 then
tiernoc50e5da2016-07-06 17:49:45 +0200156 [[ -z $QUIET_MODE ]] && read -e -p "WARNING! Not tested Red Hat OS version. Continue assuming a '_RELEASE' type? (y/N)" KK
157 [[ -z $QUIET_MODE ]] && [[ "$KK" != "y" ]] && [[ "$KK" != "yes" ]] && echo "Cancelled" && exit 1
garciadeblas16304ba2016-05-11 14:47:39 +0200158 fi
159else #[ "$_DISTRO" != "Ubuntu" -a "$_DISTRO" != "CentOS" -a "$_DISTRO" != "Red" ]
160 _DISTRO_DISCOVER=$_DISTRO
161 [ -x /usr/bin/apt-get ] && _DISTRO="Ubuntu" && _RELEASE="14"
162 [ -x /usr/bin/yum ] && _DISTRO="CentOS" && _RELEASE="7"
tiernoc50e5da2016-07-06 17:49:45 +0200163 [[ -z $QUIET_MODE ]] && read -e -p "WARNING! Not tested Linux distribution '$_DISTRO_DISCOVER '. Continue assuming a '$_DISTRO $_RELEASE' type? (y/N)" KK
164 [[ -z $QUIET_MODE ]] && [[ "$KK" != "y" ]] && [[ "$KK" != "yes" ]] && echo "Cancelled" && exit 1
garciadeblas16304ba2016-05-11 14:47:39 +0200165fi
166
167
168
169echo '
170#################################################################
171##### UPDATE REPOSITORIES #####
172#################################################################'
173[ "$_DISTRO" == "Ubuntu" ] && apt-get update -y
174
175[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && yum check-update -y
176[ "$_DISTRO" == "CentOS" ] && sudo yum install -y epel-release
177[ "$_DISTRO" == "Red" ] && wget http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm \
178 && sudo rpm -ivh epel-release-7-5.noarch.rpm && sudo yum install -y epel-release && rm -f epel-release-7-5.noarch.rpm
179[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && sudo yum repolist
180
181
182echo '
183#################################################################
184##### INSTALL REQUIRED PACKAGES #####
185#################################################################'
186[ "$_DISTRO" == "Ubuntu" ] && install_packages "git screen wget mysql-server"
187[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && install_packages "git screen wget mariadb mariadb-server"
188
tiernoc50e5da2016-07-06 17:49:45 +0200189if [[ "$_DISTRO" == "Ubuntu" ]]
190then
191 #start services. By default CentOS does not start services
192 service mysql start >> /dev/null
193 # try to set admin password, ignore if fails
194 [[ -n $DBPASSWD ]] && mysqladmin -u $DBUSER -s password $DBPASSWD
195fi
196
garciadeblas16304ba2016-05-11 14:47:39 +0200197if [ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ]
198then
199 #start services. By default CentOS does not start services
200 service mariadb start
201 service httpd start
202 systemctl enable mariadb
203 systemctl enable httpd
204 read -e -p "Do you want to configure mariadb (recommended if not done before) (Y/n)" KK
205 [ "$KK" != "n" -a "$KK" != "no" ] && mysql_secure_installation
206
207 read -e -p "Do you want to set firewall to grant web access port 80,443 (Y/n)" KK
208 [ "$KK" != "n" -a "$KK" != "no" ] &&
209 firewall-cmd --permanent --zone=public --add-service=http &&
210 firewall-cmd --permanent --zone=public --add-service=https &&
211 firewall-cmd --reload
212fi
213
214#check and ask for database user password. Must be done after database installation
tiernoc50e5da2016-07-06 17:49:45 +0200215if [[ -n $QUIET_MODE ]]
216then
217 echo -e "\nCheking database connection and ask for credentials"
garciadeblas89b3d842016-09-19 15:18:33 +0200218 while ! mysqladmin -s -u$DBUSER $DBPASSWD_PARAM status >/dev/null
tiernoc50e5da2016-07-06 17:49:45 +0200219 do
garciadeblas16304ba2016-05-11 14:47:39 +0200220 [ -n "$logintry" ] && echo -e "\nInvalid database credentials!!!. Try again (Ctrl+c to abort)"
221 [ -z "$logintry" ] && echo -e "\nProvide database credentials"
222 read -e -p "database user? ($DBUSER) " DBUSER_
223 [ -n "$DBUSER_" ] && DBUSER=$DBUSER_
224 read -e -s -p "database password? (Enter for not using password) " DBPASSWD_
tiernoc50e5da2016-07-06 17:49:45 +0200225 [ -n "$DBPASSWD_" ] && DBPASSWD="$DBPASSWD_" && DBPASSWD_PARAM="-p$DBPASSWD_"
226 [ -z "$DBPASSWD_" ] && DBPASSWD="" && DBPASSWD_PARAM=""
garciadeblas16304ba2016-05-11 14:47:39 +0200227 logintry="yes"
tiernoc50e5da2016-07-06 17:49:45 +0200228 done
229fi
garciadeblas16304ba2016-05-11 14:47:39 +0200230
231echo '
232#################################################################
233##### INSTALL PYTHON PACKAGES #####
234#################################################################'
tiernof97fd272016-07-11 14:32:37 +0200235[ "$_DISTRO" == "Ubuntu" ] && install_packages "python-yaml python-bottle python-mysqldb python-jsonschema python-paramiko python-argcomplete python-requests python-logutils"
236[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && install_packages "PyYAML MySQL-python python-jsonschema python-paramiko python-argcomplete python-requests python-logutils"
garciadeblas16304ba2016-05-11 14:47:39 +0200237
238#The only way to install python-bottle on Centos7 is with easy_install or pip
239[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && easy_install -U bottle
240
241#install openstack client needed for using openstack as a VIM
242[ "$_DISTRO" == "Ubuntu" ] && install_packages "python-novaclient python-keystoneclient python-glanceclient python-neutronclient"
243[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && install_packages "python-devel" && easy_install python-novaclient python-keystoneclient python-glanceclient python-neutronclient #TODO revise if gcc python-pip is needed
244
garciadeblas89b3d842016-09-19 15:18:33 +0200245if [[ -z $NOCLONE ]]; then
246 echo '
garciadeblas16304ba2016-05-11 14:47:39 +0200247#################################################################
248##### DOWNLOAD SOURCE #####
249#################################################################'
garciadeblas89b3d842016-09-19 15:18:33 +0200250 su $SUDO_USER -c 'git clone '"${GIT_URL}"' openmano'
251 #[[ -z $DEVELOP ]] && su $SUDO_USER -c 'git checkout <tag version>'
252fi
garciadeblas16304ba2016-05-11 14:47:39 +0200253
254echo '
255#################################################################
256##### CREATE DATABASE #####
257#################################################################'
garciadeblas89b3d842016-09-19 15:18:33 +0200258echo -e "\nCreating temporary file form MYSQL installation and initialization"
259TEMPFILE="$(mktemp -q --tmpdir "installopenmano.XXXXXX")"
260trap 'rm -f "$TEMPFILE"' EXIT
261chmod 0600 "$TEMPFILE"
262cat >"$TEMPFILE" <<EOF
263[client]
264user=$DBUSER
265password=$DBPASSWD
266EOF
garciadeblas16304ba2016-05-11 14:47:39 +0200267
garciadeblas89b3d842016-09-19 15:18:33 +0200268db_exists "mano_db" $TEMPFILE
269DBEXISTS=$?
270if [[ $DBEXISTS -eq 0 ]] ; then
271 if [[ -n $FORCEDB ]]; then
272 echo " Deleting previous database mano_db"
273 DBDELETEPARAM=""
274 [[ -n $QUIET_MODE ]] && DBDELETEPARAM="-f"
275 mysqladmin --defaults-extra-file=$TEMPFILE -s drop mano_db $DBDELETEPARAM || ! echo "Could not delete mano_db database" || exit 1
276 #echo "REVOKE ALL PRIVILEGES ON mano_db.* FROM 'mano'@'localhost';" | mysql --defaults-extra-file=$TEMPFILE -s || ! echo "Failed while creating user mano at database" || exit 1
277 #echo "DELETE USER 'mano'@'localhost';" | mysql --defaults-extra-file=$TEMPFILE -s || ! echo "Failed while creating user mano at database" || exit 1
278 mysqladmin --defaults-extra-file=$TEMPFILE -s create mano_db || ! echo "Error creating mano_db database" || exit 1
279 echo "DROP USER 'mano'@'localhost';" | mysql --defaults-extra-file=$TEMPFILE -s || ! echo "Failed while creating user mano at database" || exit 1
280 echo "CREATE USER 'mano'@'localhost' identified by 'manopw';" | mysql --defaults-extra-file=$TEMPFILE -s || ! echo "Failed while creating user mano at database" || exit 1
281 echo "GRANT ALL PRIVILEGES ON mano_db.* TO 'mano'@'localhost';" | mysql --defaults-extra-file=$TEMPFILE -s || ! echo "Failed while creating user mano at database" || exit 1
282 echo " Database 'mano_db' created, user 'mano' password 'manopw'"
283 else
284 echo "Database exists. Use option '--forcedb' to force the deletion of the existing one" && exit 1
285 fi
286else
287 mysqladmin -u$DBUSER $DBPASSWD_PARAM -s create mano_db || ( echo "Error creating mano_db database" && exit 1 )
288 echo "CREATE USER 'mano'@'localhost' identified by 'manopw';" | mysql --defaults-extra-file=$TEMPFILE -s || ! echo "Failed while creating user mano at database" || exit 1
289 echo "GRANT ALL PRIVILEGES ON mano_db.* TO 'mano'@'localhost';" | mysql --defaults-extra-file=$TEMPFILE -s || ! echo "Failed while creating user mano at database" || exit 1
290 echo " Database 'mano_db' created, user 'mano' password 'manopw'"
291fi
garciadeblas16304ba2016-05-11 14:47:39 +0200292
garciadeblas89b3d842016-09-19 15:18:33 +0200293
294echo '
295#################################################################
296##### INIT DATABASE #####
297#################################################################'
298HERE=$(realpath $(dirname $0))
299OPENMANO_BASEFOLDER=$(dirname $HERE)
300su $SUDO_USER -c "${OPENMANO_BASEFOLDER}"'/database_utils/init_mano_db.sh -u mano -p manopw -d mano_db' || ! echo "Failed while initializing database" || exit 1
301
garciadeblas16304ba2016-05-11 14:47:39 +0200302
303if [ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ]
304then
305 echo '
306#################################################################
307##### CONFIGURE firewalld #####
308#################################################################'
tiernoc50e5da2016-07-06 17:49:45 +0200309 KK=yes
310 [[ -z $QUIET_MODE ]] && read -e -p "Configure firewalld for openmanod port 9090? (Y/n)" KK
garciadeblas16304ba2016-05-11 14:47:39 +0200311 if [ "$KK" != "n" -a "$KK" != "no" ]
312 then
313 #Creates a service file for openmano
314 echo '<?xml version="1.0" encoding="utf-8"?>
315<service>
316 <short>openmanod</short>
317 <description>openmanod service</description>
318 <port protocol="tcp" port="9090"/>
319</service>' > /etc/firewalld/services/openmanod.xml
320 #put proper permissions
321 pushd /etc/firewalld/services > /dev/null
322 restorecon openmanod.xml
323 chmod 640 openmanod.xml
324 popd > /dev/null
325 #Add the openmanod service to the default zone permanently and reload the firewall configuration
326 firewall-cmd --permanent --add-service=openmanod > /dev/null
327 firewall-cmd --reload > /dev/null
328 echo "done."
329 else
330 echo "skipping."
331 fi
332fi
333
334echo '
335#################################################################
336##### CONFIGURE OPENMANO CLIENT #####
337#################################################################'
338#creates a link at ~/bin
tiernoc50e5da2016-07-06 17:49:45 +0200339su $SUDO_USER -c 'mkdir -p ${HOME}/bin'
340su $SUDO_USER -c 'rm -f ${HOME}/bin/openmano'
garciadeblas89b3d842016-09-19 15:18:33 +0200341su $SUDO_USER -c 'rm -f ${HOME}/bin/openmano-report'
tiernoc50e5da2016-07-06 17:49:45 +0200342su $SUDO_USER -c 'rm -f ${HOME}/bin/service-openmano'
garciadeblas89b3d842016-09-19 15:18:33 +0200343su $SUDO_USER -c 'ln -s '${OPENMANO_BASEFOLDER}'/openmano ${HOME}/bin/openmano'
344su $SUDO_USER -c 'ln -s '${OPENMANO_BASEFOLDER}'/scripts/openmano-report.sh ${HOME}/bin/openmano-report'
345su $SUDO_USER -c 'ln -s '${OPENMANO_BASEFOLDER}'/scripts/service-openmano.sh ${HOME}/bin/service-openmano'
garciadeblas16304ba2016-05-11 14:47:39 +0200346
347#insert /home/<user>/bin in the PATH
348#skiped because normally this is done authomatically when ~/bin exist
tiernoc50e5da2016-07-06 17:49:45 +0200349#if ! su $SUDO_USER -c 'echo $PATH' | grep -q "${HOME}/bin"
garciadeblas16304ba2016-05-11 14:47:39 +0200350#then
351# echo " inserting /home/$SUDO_USER/bin in the PATH at .bashrc"
tiernoc50e5da2016-07-06 17:49:45 +0200352# su $SUDO_USER -c 'echo "PATH=\$PATH:\${HOME}/bin" >> ~/.bashrc'
garciadeblas16304ba2016-05-11 14:47:39 +0200353#fi
tiernoc50e5da2016-07-06 17:49:45 +0200354if [[ $SUDO_USER == root ]]
355then
356 if ! echo $PATH | grep -q "${HOME}/bin"
357 then
358 echo "PATH=\$PATH:\${HOME}/bin" >> ${HOME}/.bashrc
359 fi
360fi
garciadeblas16304ba2016-05-11 14:47:39 +0200361
362#configure arg-autocomplete for this user
363#in case of minimal instalation this package is not installed by default
364[[ "$_DISTRO" == "CentOS" || "$_DISTRO" == "Red" ]] && yum install -y bash-completion
365#su $SUDO_USER -c 'mkdir -p ~/.bash_completion.d'
366su $SUDO_USER -c 'activate-global-python-argcomplete --user'
tiernoc50e5da2016-07-06 17:49:45 +0200367if ! su $SUDO_USER -c 'grep -q bash_completion.d/python-argcomplete.sh ${HOME}/.bashrc'
garciadeblas16304ba2016-05-11 14:47:39 +0200368then
369 echo " inserting .bash_completion.d/python-argcomplete.sh execution at .bashrc"
tiernoc50e5da2016-07-06 17:49:45 +0200370 su $SUDO_USER -c 'echo ". ${HOME}/.bash_completion.d/python-argcomplete.sh" >> ~/.bashrc'
garciadeblas16304ba2016-05-11 14:47:39 +0200371fi
372
tierno45a52852016-08-26 14:39:42 +0200373
374
375
376if [[ "$_DISTRO" == "Ubuntu" ]] && [[ ${_RELEASE%%.*} == 16 ]] && [[ -z $DEVELOP ]]
377then
378echo '
379#################################################################
380##### CONFIGURE OPENMANO SERVICE #####
381#################################################################'
382
garciadeblas89b3d842016-09-19 15:18:33 +0200383 ${OPENMANO_BASEFOLDER}/scripts/install-openmano-service.sh -f ${OPENMANO_BASEFOLDER} #-u $SUDO_USER
tierno45a52852016-08-26 14:39:42 +0200384# alias service-openmano="service openmano"
385# echo 'alias service-openmano="service openmano"' >> ${HOME}/.bashrc
386
387 echo
388 echo "Done! you may need to logout and login again for loading client configuration"
389 echo " Manage server with 'service openmano start|stop|status|...' "
390
391
392else
393
394 echo
395 echo "Done! you may need to logout and login again for loading client configuration"
396 echo " Run './openmano/scripts/service-openmano.sh start' for starting openmano in a screen"
397
398fi
garciadeblas16304ba2016-05-11 14:47:39 +0200399
400
401